<?php ob_start();
require_once(__DIR__ ."/cdn.father.php");

@list($file, $format, $title) = explode("@@", $z->decode($_GET['token'], $_GET['ekey']));
$filename = $format.'.'.$file;
$local = __DIR__ . '/assets/tracks/'.$filename;
if(!file_exists($local)){ 
	header("HTTP/1.0 404 Not Found"); exit; 
}
$z->stream($local, $title, 'audio/mpeg');
ob_flush(); ?>